<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class AnmeldedatenWriterElternKind50 extends AnmeldedatenWriterNormal
{
  protected function insertBeziehungen($anmeldedaten, $weitererTeilnehmer)
  {
    $hauptteilnehmer = $anmeldedaten->getHauptBelegung()->getTeilnehmer();

    $tnrElternteil = $hauptteilnehmer->id;
    if ($hauptteilnehmer->mysqlid >= 0) {
      $tnrElternteil = $hauptteilnehmer->mysqlid;
    }

    
    $tnrKind = abs($weitererTeilnehmer->id);

    $dbwBeziehung = new DBWorkBeziehung(1, true);

    $beziehung = $dbwBeziehung->getBeziehungElternteilZuKind($tnrElternteil, $tnrKind);
    if ($beziehung->isEmpty()) {
      $beziehung = $this->getElternKindBeziehung($hauptteilnehmer->id, $tnrKind);
      $dbwBeziehung->insertOne($beziehung, 'bezid', 'id', false, false);
    }
  }

  private function getElternKindBeziehung($pTnrElternteil, $pTnrKind)
  {
    $dbwBeziehung = new DBWorkBeziehung(1, true);
    $bezId = $dbwBeziehung->getHlBezId4BeziehungsArt(2);
    
    $beziehung = new Beziehung();
    $beziehung->typ1 = 'T';
    $beziehung->nr1 = $pTnrElternteil;
    $beziehung->typ2 = 'T';
    $beziehung->nr2 = $pTnrKind;
    $beziehung->bezId = $bezId;
    
    $beziehung->gueltig_von = DEFAULTDATE;
    $beziehung->gueltig_bis = DEFAULTDATE;

    return $beziehung;
  }
}